package Mediator;

public class MediatorPatternDemo {
	   public static void main(String[] args) {
	      User robert = new User("Robert");
	      User john = new User("John");
	      User andrea=new User("Andrea");

	      robert.sendMessage("Hi! John!");
	      john.sendMessage("Hello! Robert!");
	      andrea.sendMessage("ciao a tutti");
	   }
	}